/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@mixin padded-border($side) {
    padding-#{ $side }: _size(element-margin) / 2;
    border-#{ $side }: 1px solid _palette(border);
    margin-#{ $side }: _size(element-margin) / 2;
}

.StyledEditElement {
    display: flex;
    flex-direction: row;
    @include padded-border(bottom);
}

.StyledEditElement--has-preview__editor {
    flex-grow: 1;
    @include padded-border(right);
}

.TitledColorPalette {
    border: 1px solid _palette(border);
    border-radius: _size(border-radius);
    margin-bottom: 0.5em;
    transition: background _duration(transition) ease-in-out;
}
.TitledColorPalette:hover {
    background: _palette(border-bg);
}
.TitledColorPalette__title {
    background: _palette(border-bg);
    border-bottom: 1px solid _palette(border);
    margin-bottom: 0;
    padding-left: 1em;
}
.TitledColorPalette__colors {
    padding: 0.5em;
}
.ColorPalette__color--add-new {
    border: 1px solid _palette(border);
    background: _palette(border-bg);
    text-align: center;
}
.ColorPalette__color--add-new:hover {
    background: opacify(_palette(border-bg), 0.1);
}
.ColorPalette__color--add-new__plus {
    font-size: 1.625em;
    font-weight: bold;
}

.SidebarLeft {
    display: flex;

    .SlideEditorSidebar {
        border-right: 1px solid _palette(border);
        width: 300px;

        overflow-y: visible;
        margin-right: _size(element-margin);
    }
}

.ColorPalette__color.MassiveColorPreview {
    height: 200px;
    width: 200px;
    list-style: none;
    margin-bottom: 1em;
    margin-top: 0;
    align-self: center;
}

.EditWithSlide {
    display: flex;
    width: 100%;
    height: calc(100vh - 3.5em);
}
.EditWithSlide .SlideEditorSidebar {
    width: 500px;
}
.EditWithSlide__right {
    flex-grow: 1;
    flex-direction: column;
    position: relative;
}
.EditWithSlide__previews {
    position: absolute;
    width: 100%;
    z-index: 1;

    border-bottom: 1px solid _palette(border);
    background: _palette(border-bg);

    display: flex;
    flex-direction: row;
    justify-content: center;

    .SlideThumb {
        margin: 0.5em;
    }
}
